<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Hacknet](./bitburner.hacknet.md) &gt; [upgradeLevel](./bitburner.hacknet.upgradelevel.md)

## Hacknet.upgradeLevel() method

Upgrade the level of a hacknet node.

**Signature:**

```typescript
upgradeLevel(index: number, n?: number): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  index | number | Index/Identifier of Hacknet Node. |
|  n | number | _(Optional)_ Number of levels to purchase. Must be positive. Will be rounded to the nearest integer. Defaults to 1 if not specified. |

**Returns:**

boolean

True if the Hacknet Node’s level is successfully upgraded, false otherwise.

## Remarks

RAM cost: 0 GB

Tries to upgrade the level of the specified Hacknet Node by n.

Returns true if the Hacknet Node’s level is successfully upgraded by n or if it is upgraded by some positive amount and the Node reaches its max level.

Returns false otherwise.

